{# templates/delete.jinja2 #}
    result = dict(comment=[], ret=[], result=True)

    delete = await hub.tool.{{ function.hardcoded.service_name }}.session.request(
        ctx,
        method="{{ function.hardcoded.method }}",
        {%- if "uuid" in function.hardcoded.path %}
        path="{{ function.hardcoded.path }}".format(
            **{'uuid': resource_id}
        ),
        {%- else %}
        path="{{ function.hardcoded.path }}".format(
            **{{ parameter.mapping.path|default({}) }}
        ),
        {%- endif %}
        query_params={},
        data={},
        headers={"X-Avi-Tenant": "*"},
    )

    if not delete["result"]:
        result["comment"].append(delete["comment"])
        result["result"] = False
        return result

    result["comment"].append(f"Deleted '{name}'")
    return result
